gr::mapper::preamble_insert_bb Class Referenceabstract

`#include <preamble_insert_bb.h>`

Inheritance diagram for gr::mapper::preamble_insert_bb:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_insert_bb > | sptr

## Public Member Functions

virtual void | rewind ()=0
virtual void | set_width (int nw)=0
virtual void | set_preamble (const std::vector< unsigned char > &np)=0

## Static Public Member Functions

static sptr | make (int width, const std::vector< unsigned char > &preamble)

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_insert_bb> gr::mapper::preamble_insert_bb::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::preamble_insert_bb::make | ( | int | width,
|  | const std::vector< unsigned char > & | preamble
| ) |  |

static

## rewind()

virtual void gr::mapper::preamble_insert_bb::rewind | ( |  | ) |

pure virtual

Implemented in gr::mapper::preamble_insert_bb_impl.

## set_preamble()

virtual void gr::mapper::preamble_insert_bb::set_preamble | ( | const std::vector< unsigned char > & | np | ) |

pure virtual

Implemented in gr::mapper::preamble_insert_bb_impl.

## set_width()

virtual void gr::mapper::preamble_insert_bb::set_width | ( | int | nw | ) |

pure virtual

Implemented in gr::mapper::preamble_insert_bb_impl.

The documentation for this class was generated from the following file:

- preamble_insert_bb.h